/* $Id: language.h 40 2023-04-27 07:29:37Z nishi $ */
#ifndef __SWINEHUB_LANGUAGE_H__
#define __SWINEHUB_LANGUAGE_H__

#if !defined(JAPANESE) && !defined(ENGLISH)
#define ENGLISH
#endif

#if defined(JAPANESE)
	#define SW_IT_WORKS		printf("<div style=\"text-align: center;\">\n");\
					printf("	<img src=\"%s\" width=\"256px\"><br>\n", config->iconpath);\
					printf("	<h1>動いています！</h1>\n");\
					printf("	もしこのページが見えているのであれば、SwineHubは（恐らく）うごいています。<br>\n");\
					printf("	<code>%s</code>を設定してその他のものが動くようにしてみてください。<br>\n", SWINEHUB_CONFIG);\
					printf("	<code>ItWorks=0</code>を<code>%s</code>に追加してこれを無効化できます。", SWINEHUB_CONFIG);\
					printf("	<hr>\n");\
					printf("</div>\n");
	#define SW_YOUR_REPOSITORIES	"あなたのリポジトリー"
	#define SW_LOGIN_TO		"ログインしないとリポジトリーは見えません。"
	#define SW_CREATE_A_REPO	"リポジトリーを作る"
	#define SW_REPO_NAME		"リポジトリー名"
	#define SW_CREATE		"作成"
	#define SW_REPO_LATEST_COMMIT	printf("<h3>リポジトリーの最終コミット</h3>\n");\
					printf("<pre><code id=\"repo-latest-commit\">最終コミットを取得しています...</code></pre>\n");
	#define SW_FILE_LATEST_COMMIT	printf("<h3>ファイルの最終コミット</h3>\n");\
					printf("<pre><code id=\"latest-commit\">最終コミットを取得しています...</code></pre>\n");
	#define SW_SET_README		"READMEを変更"
	#define SW_REPO_TITLE		printf("<h2>リポジトリー「<code>%s</code>」 (作成者: <a href=\"%s/~%s\"><code>%s</code></a>) (リビジョン%d): <code>%s</code><button id=\"delete-button\" onclick=\"swinehub_delete()\" style=\"display: none;\">リポジトリーを削除</button></h2>\n", reponame, getenv("SCRIPT_NAME"), username, username, rev, svnpath);
	#define SW_SIGNUP		"サインアップ"
	#define SW_LOGIN		"ログイン"
	#define SW_USERNAME		"ユーザー名"
	#define SW_PASSWORD		"パスワード"
	#define SW_HOME			"ホーム"
	#define SW_REPOS		"リポジトリー"
	#define SW_NAME			"名前"
	#define SW_TYPE			"タイプ"
	#define SW_SIZE			"サイズ"
	#define SW_LICENSE		"ライセンス"
	#define SW_USER_TITLE		printf("<input type=\"hidden\" id=\"repouser\" value=\"%s\"><h2>ユーザー「<code>%s</code>」 <button id=\"delete-user-button\" onclick=\"swinehub_delete_user()\" style=\"display: none;\">ユーザーを削除</button></h2>\n", getenv("PATH_REPLACED") + 2, getenv("PATH_REPLACED") + 2);
	#define SW_USER_HAS		printf("このユーザーは%dリポジトリー持っています。\n", count);
#elif defined(ENGLISH)
	#define SW_IT_WORKS		printf("<div style=\"text-align: center;\">\n");\
					printf("	<img src=\"%s\" width=\"256px\"><br>\n", config->iconpath);\
					printf("	<h1>It works!</h1>\n");\
					printf("	If you can see this page, SwineHub is (probably) working.<br>\n");\
					printf("	Configure <code>%s</code> to make stuffs work.<br>\n", SWINEHUB_CONFIG);\
					printf("	You can add <code>ItWorks=0</code> in <code>%s</code> to disable this.\n", SWINEHUB_CONFIG);\
					printf("	<hr>\n");\
					printf("</div>\n");
	#define SW_YOUR_REPOSITORIES	"Your repositories"
	#define SW_LOGIN_TO		"Login to see your repositories."
	#define SW_CREATE_A_REPO	"Create a repository"
	#define SW_REPO_NAME		"Repository name"
	#define SW_CREATE		"Create"
	#define SW_REPO_LATEST_COMMIT	printf("<h3>Repository Latest Commit</h3>\n");\
					printf("<pre><code id=\"repo-latest-commit\">Fetching the latest commit ...</code></pre>\n");
	#define SW_FILE_LATEST_COMMIT	printf("<h3>File Latest Commit</h3>\n");\
					printf("<pre><code id=\"latest-commit\">Fetching the latest commit ...</code></pre>\n");
	#define SW_SET_README		"Set README"
	#define SW_REPO_TITLE		printf("<h2>Repository <code>%s</code> by <a href=\"%s/~%s\"><code>%s</code></a> (Revision %d): <code>%s</code><button id=\"delete-button\" onclick=\"swinehub_delete()\" style=\"display: none;\">Delete</button></h2>\n", reponame, getenv("SCRIPT_NAME"), username, username, rev, svnpath);
	#define SW_SIGNUP		"Signup"
	#define SW_LOGIN		"Login"
	#define SW_USERNAME		"Username"
	#define SW_PASSWORD		"Password"
	#define SW_HOME			"Home"
	#define SW_REPOS		"Repositories"
	#define SW_NAME			"Name"
	#define SW_TYPE			"Type"
	#define SW_SIZE			"Size"
	#define SW_LICENSE		"License"
	#define SW_USER_TITLE		printf("<input type=\"hidden\" id=\"repouser\" value=\"%s\"><h2>User <code>%s</code> <button id=\"delete-user-button\" onclick=\"swinehub_delete_user()\" style=\"display: none;\">Delete the user</button></h2>\n", getenv("PATH_REPLACED") + 2, getenv("PATH_REPLACED") + 2);
	#define SW_USER_HAS		printf("This user has %d repository(s).\n", count);
#endif

#endif
